List Assets
curl --request GET \
--url https://api.supapost.so/assetsimport requests
url = "https://api.supapost.so/assets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.supapost.so/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "asset-uuid",
"name": "photo.jpg",
"url": "https://cdn.supapost.so/assets/team/photo.jpg",
"content_type": "image/jpeg",
"size_bytes": 245000,
"width": 1080,
"height": 1920,
"source": "upload",
"metadata": null,
"created_at": "2026-04-07T12:00:00Z"
}
],
"has_more": true,
"url": "/assets"
}
Assets
List Assets
List assets for the authenticated team with Stripe-style pagination
GET
/
assets
List Assets
Returns assets for the current team, sorted by most recently created. Supports Stripe-style pagination and optional source filtering.
Authentication
string
Bearer token.
Bearer <supabase-jwt>.Query Parameters
string
Filter by asset source. One of
"upload", "ai_generated", or "export".integer
default:"15"
Number of records to return. Maximum
100.string
Return items after this asset ID.
string
Return items before this asset ID.
{
"object": "list",
"data": [
{
"id": "asset-uuid",
"name": "photo.jpg",
"url": "https://cdn.supapost.so/assets/team/photo.jpg",
"content_type": "image/jpeg",
"size_bytes": 245000,
"width": 1080,
"height": 1920,
"source": "upload",
"metadata": null,
"created_at": "2026-04-07T12:00:00Z"
}
],
"has_more": true,
"url": "/assets"
}
⌘I